/*
 * ********************************************************************************************************************
 *
 *                      :*$@@%$*:                         ;:                ;;    ;;
 *                    :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                   :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                   =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                   =@*                                  %!              @ $= % %@=   =%@!      %=
 *              *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *            %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *          ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *          $@*   ;@@@%=!:                *@*
 *          =@$    ;;;!=%@@@@=!           =@!
 *           %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *            ;%@@$=$@@%*       *@@@$=%@@%;
 *               ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package com.persagy.revit.controllers.relation

import com.persagy.revit.models.responses.CheckFloorMissResponse
import com.persagy.revit.models.responses.CheckFloorSequenceResponse
import com.persagy.revit.models.responses.CheckGridResponse
import io.swagger.v3.oas.annotations.tags.Tag
import io.swagger.v3.oas.annotations.Operation
import org.slf4j.LoggerFactory
import org.springframework.web.bind.annotation.PostMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

/**
 * 楼层检查接口
 *
 * @author 庞利祥
 */
@Tag(name = "检查-楼层审核")
@RestController
@RequestMapping("/check")
class CheckController {
    companion object {
        // 日志
        private val logger = LoggerFactory.getLogger(CheckController::class.java)
    } // Companion object

    /**
     * 楼层缺失检查
     */
    @Operation(summary = "楼层缺失检查", description =  "")
    @PostMapping(value = ["/floor-miss"])
    fun floorMiss(): CheckFloorMissResponse {
        return CheckFloorMissResponse()
    } // Function floorMiss()

    /**
     * 楼层顺序号检查
     */
    @Operation(summary = "楼层缺失检查", description =  "")
    @PostMapping(value = ["/floor-sequence"])
    fun floorSequence(): CheckFloorSequenceResponse {
        return CheckFloorSequenceResponse()
    } // Function floorSequence()

    /**
     * 轴网检查
     */
    @Operation(summary = "轴网检查", description =  "")
    @PostMapping(value = ["/grid"])
    fun grid(): CheckGridResponse {
        return CheckGridResponse()
    } // Function floorSequence()
} // Class CheckController