package com.persagy.revit.models.baseGraph

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.v3.oas.annotations.media.Schema
import java.util.*
import javax.persistence.Column

/**
 * 底图实体类基类
 *
 * @author jxing
 */
open class BGBaseEntity {
    /** 最后更新日期 */
   @Schema(description = "最后更新日期", example = "2009-04-21 13:16:00")
    @Column(name = "last_update", updatable = false, insertable = false)
    @JSONField(serialize = false)
    var lastUpdate: Date? = null

    /** 创建时间 */
   @Schema(description = "创建时间", example = "2017-10-15 08:30:00")
    @Column(name = "create_time", updatable = false, insertable = false)
    @JSONField(serialize = false)
    var createTime: Date? = null
}