/*
 * ********************************************************************************************************************
 *
 *                      :*$@@%$*:                         ;:                ;;    ;;
 *                    :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                   :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                   =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                   =@*                                  %!              @ $= % %@=   =%@!      %=
 *              *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *            %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *          ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *          $@*   ;@@@%=!:                *@*
 *          =@$    ;;;!=%@@@@=!           =@!
 *           %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *            ;%@@$=$@@%*       *@@@$=%@@%;
 *               ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package com.persagy.revit.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import com.persagy.revit.models.jsonAnalyzer.Location
import com.persagy.revit.models.jsonAnalyzer.Point
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column
import javax.persistence.Table

/**
 * 柱子
 *
 * @author jxing
 */
@Schema(description = "连接件")
@Table(name = "revit.column")
@JsonIgnoreProperties(ignoreUnknown = true)
open class Column : WallColumnLog(){

    /** 名称 */
   @Schema(description = "名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    @JsonProperty("Name")
    var name: String? = null

//    /** 对应Revit模型id */
//   @Schema(description = "对应Revit模型id")
//    @Column(name = "source_id")
//    @JSONField(name = "SourceId")
//    @JsonProperty("SourceId")
//    var sourceId: String? = null

    /** 定位点 */
   @Schema(description = "定位点")
    @Column(name = "location")
    @JSONField(name = "Location")
    @JsonProperty("Location")
    var location: Location? = null

    /** 轮廓路径 */
   @Schema(description = "轮廓路径")
    @Column(name = "outline")
    @JSONField(name = "OutLine")
    @JsonProperty("OutLine")
    var outline: ArrayList<ArrayList<Point>>? = null

    /** 房间边界 */
   @Schema(description = "房间边界")
    @Column(name = "bounding")
    @JSONField(name = "RoomBoundary")
    @JsonProperty("RoomBoundary")
    var bounding: Boolean? = null

    /** 类型中文名称 */
   @Schema(description = "类型中文名称")
    @Column(name = "family_name")
    @JSONField(name = "FamilyName")
    @JsonProperty("FamilyName")
    var familyName: String? = null

    /** 族符号 */
   @Schema(description = "族符号")
    @Column(name = "family_symbol")
    @JSONField(name = "FamilySymbol")
    @JsonProperty("FamilySymbol")
    var familySymbol: String? = null

//   @Schema(description = "revit模型中的id")
//    @Column(name = "revit_id")
//    @JSONField(name = "Id")
//    var revitId : String? = null

//    @JSONField(name = "ElementType")
//   @Schema(description = "类型")
//    @Column(name = "type")
//    var elementType : String? = null

    // 以下是json解析字段

//    @JSONField(name = "RoomBoundary")
//    var jsonRoomBoundary : Boolean? = null //
//
//    @JSONField(name = "Location")
//    var jsonLocation : Location? = null //
//
//    @JSONField(name = "OutLine")
//    var jsonOutline : ArrayList<ArrayList<Point>>? = null //
//
//    @JSONField(name = "SourceId")
//    var jsonSourceId : String? = null //
//
//    @JSONField(name = "Id")
//    var jsonId : String? = null //
//
//    @JSONField(name = "ElementType")
//    var jsonElementType : String? = null //
//
//    @JSONField(name = "Name")
//    var jsonName: String? = null //

}