package com.persagy.revit.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 信息点对照表
 * @author  Cainga
 * @date  2020/12/3 16:01
 */

@Schema(description = "信息点对照表")
@Table(name = "revit.info_point_comp")
@JsonIgnoreProperties(ignoreUnknown = true)
open class InfoPointComp {

    /** id */
   @Schema(description = "id")
    @Column(name = "id", updatable = false)
    @Id
    var id: Int? = null

    /** 4位部件类型编码 */
   @Schema(description = "4位部件类型编码")
    @Column(name = "family")
    var family: String? = null

    /** 信息点编码 */
   @Schema(description = "信息点编码")
    @Column(name = "info_point_code")
    var infoPointCode: String? = null

    /** 信息点名称 */
   @Schema(description = "信息点名称")
    @Column(name = "info_point_name")
    var infoPointName: String? = null

    /** 标准信息点编码 */
   @Schema(description = "标准信息点编码")
    @Column(name = "s_info_point_code")
    var sInfoPointCode: String? = null

    /** 标准信息点名称  */
   @Schema(description = "标准信息点名称")
    @Column(name = "s_info_point_name")
    var sInfoPointName: String? = null

}