package com.persagy.revit.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import com.persagy.revit.models.jsonAnalyzer.Location
import com.persagy.revit.models.jsonAnalyzer.Parameter
import com.persagy.revit.models.jsonAnalyzer.Point
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 房间
 * @author  Cainga
 * @date  2020/12/4 10:05
 */
@Schema(description = "房间")
@Table(name = "revit.room")
open class Room : BaseComponent(){

    /** 轮廓线段 */
   @Schema(description = "轮廓线段")
    @Column(name = "boundary_segments")
    var boundarySegment: ArrayList<ArrayList<String>>? = null

    /** 空间高度 */
   @Schema(description = "空间高度")
    @Column(name = "height")
    var height: Double? = null

    /** 定位点 */
   @Schema(description = "定位点")
    @Column(name = "location")
    var location: Location? = null

    /** 空间轮廓 */
   @Schema(description = "空间轮廓")
    @Column(name = "outline")
    var outline: ArrayList<ArrayList<Point>>? = null

//    /** 对应Revit模型id */
//   @Schema(description = "对应Revit模型id")
//    @Column(name = "source_id")
//    var sourceId: String? = null

    /** 参数列表 */
   @Schema(description = "参数列表")
    @Column(name = "parameters")
    var parameters: ArrayList<Parameter>? = null


//    /** revit模型中的id */
//   @Schema(description = "revit模型中的id")
//    @Column(name = "revit_id")
//    var revitId: String? = null

    /** 名称 */
   @Schema(description = "名称")
    @Column(name = "name")
    var name: String? = null

    /** 本地名称 */
   @Schema(description = "本地名称")
    @Column(name = "local_name")
    var localName: String? = null

}