package com.persagy.revit.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column

/**
 *
 *
 * @author jxing
 */
@JsonIgnoreProperties(ignoreUnknown = true)
open class WindowDoorBase : BaseComponent() {

    /** 所属墙 */
   @Schema(description = "所属墙")
    @Column(name = "wall_id")
    var wallId: String? = null

    /** 拥有者的RevitId */
   @Schema(description = "拥有者的RevitId")
    @Column(name = "owner")
    @JSONField(name = "Owner")
    @JsonProperty("Owner")
    var owner: String? = null
}