package com.persagy.revit.models.log

import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 *
 *
 * @author jxing
 */
@Schema(description = "同步数据到数据中心的日志")
@Table(name = "revit.sync_log")
@JsonIgnoreProperties(ignoreUnknown = true)
class SyncLogEntity {
    /** 自增id */
   @Schema(description = "模型id")
    @Column(name = "id", updatable = false)
    @Id
    var id: Int? = null

    /** 对象id */
   @Schema(description = "对象id")
    @Column(name = "obj_id")
    var objId: String? = null

    /** 模型id */
   @Schema(description = "模型id")
    @Column(name = "model_id")
    var modelId: String? = null

    /** 操作: 0表示删除, 1表示添加, 2表示修改  */
   @Schema(description = "操作: 0表示删除, 1表示添加, 2表示修改")
    @Column(name = "operation")
    var operation: Int? = null

    /** 建筑id */
   @Schema(description = "建筑id")
    @Column(name = "building_id")
    var buildingId: String? = null

    /** 楼层id */
   @Schema(description = "楼层id")
    @Column(name = "floor_id")
    var floorId: String? = null

    /** 建筑名 */
   @Schema(description = "建筑名")
    @Column(name = "building_name")
    var buildingName: String? = null

    /** 楼层名 */
   @Schema(description = "楼层名")
    @Column(name = "floor_name")
    var floorName: String? = null

    /** BIMID */
   @Schema(description = "BIMID")
    @Column(name = "bim_id")
    var bimId: String? = null

    /** 本地名称 */
   @Schema(description = "本地名称")
    @Column(name = "local_name")
    var localName: String? = null

    /** 本地编码 */
   @Schema(description = "本地编码")
    @Column(name = "local_id")
    var localId: String? = null

    /** CADID */
   @Schema(description = "CADID")
    @Column(name = "cad_id")
    var cadId: String? = null

    /** 对象类型 */
   @Schema(description = "对象类型")
    @Column(name = "type")
    var type: String? = null
}